<?
@session_start();
require_once('../connect/connect.php');
include_once('../lib/lib.php');
require('pdk.php');
$base_path="../";
$Action='zhaloba_pr.php';


if ($_GET['id_pr'] && $_GET['per'])
	{
	if ($_GET['per']==1) $per=1; else $per=-1;
	sort_num('prichina', 'id_prichina', 'num', 'prichina', intval($_GET['id_pr']), $per);
	}

if ($_POST["del"] && $_POST["del_prichina"]) 
	{ 
	mysql_query ("DELETE FROM prichina WHERE id_prichina IN (".$_POST["del_prichina"].") ") or die(mysql_error());
	echo "<HTML><HEAD><meta http-equiv='Refresh' charset='utf-8' content='0; URL=refresh.php?i=".$Action."'></HEAD></HTML>";
	exit();
	}


if ($_POST["edit"] && $_POST['id_prichina']) 
	{ 
	$prichina = htmlspecialchars(rtrim($_POST['prichina']));
	if(!$prichina) $err .='Укажите элемент списка';
	
	if(!$err)
		{
		mysql_query("UPDATE prichina SET prichina='".$prichina."' WHERE id_prichina='".$_POST['id_prichina']."'");
		echo "<HTML><HEAD><meta http-equiv='Refresh' charset='utf-8' content='0; URL=refresh.php?i=".$Action."'></HEAD></HTML>";
		exit();
		}
	}


if ($_POST["add"]) 
	{ 
	$prichina = $_POST['prichina'];
	if(!$prichina) $err .='Укажите элемент списка<br>';
	$arr_prichinas=explode("\n", $prichina);

	if(!$err)
		{
		foreach($arr_prichinas as $arr_ln)
			{
			if(trim($arr_ln))
				{
				mysql_query("INSERT INTO prichina (prichina) VALUES ('".htmlspecialchars(rtrim($arr_ln))."')");
				$nd++;
				}
			}
		echo "<HTML><HEAD><meta http-equiv='Refresh' charset='utf-8' content='0; URL=refresh.php?i=".$Action."'></HEAD></HTML>";
		exit();
		}
	}



$titl="Перечень причин для жалоб";
require ('top.php'); 

?>

<p><a href="zhaloba.php">Жалобы  &#8594;</a></p>
  
<?	

echo '<TABLE width=100%><TR><TD valign=top width=40%>';

if($err) echo '<p><font color=red>'.$err.'</font></p>';

if ($_REQUEST['edit'] && $_REQUEST['id_prichina'])
	{
	$rm = mysql_query ("SELECT * FROM prichina WHERE id_prichina='".intval($_REQUEST['id_prichina'])."'");
	$rrm=mysql_fetch_array($rm);
	?>
	<form action="<? echo $Action; ?>" method="post" name="form_edit" >
		<table width="100%" cellspacing="0" cellpadding="0" >
			<tr>
				<td width="29%" valign="top">
					<table width="100%" cellspacing="1" cellpadding="1" >
						<tr>
							<td>
  							<input name="prichina" type="text" value="<? echo $rrm['prichina']; ?>" size="40">
					</table>
				<td width="21%" valign="top" >
  				<input class="submit"  type="submit" name="edit" value="Изменить">
 				<input name="id_prichina" type="hidden" value="<? echo $rrm['id_prichina']; ?>">
		</table>
	</form>
	<?
	}


if($_POST['paket_del'] && $_POST['ch'])
	{
	$del_prichina = implode(",",$_POST['ch']);
	echo '<table width=300 bordercolor=red border=3 cellSpacing=0 cellPadding=5><tr><td>
	<p>Вы действительно хотите удалить элементы под номерами <b>'.$del_prichina.'</b> ?</p>';
	?>
	<form action="<? echo $Action; ?>" method="post" name="form_del" >
 	<input name="del_prichina" type="hidden" value="<? echo $del_prichina; ?>">
 	<input class="submit" type="submit" name="del" value="ДА">
 	<input class="submit" type="submit" name="not" value="НЕТ">
	</form>
	<?
	echo '</td></tr></table>';
	}
	

if (!$_REQUEST['id_prichina'] && !$_POST['ch']) 
	{
	?>
	<form name="form_add" method="POST" action="<? echo $Action; ?>">
		<table width="100%" cellspacing="0" cellpadding="0" >
			<tr>
				<td>
				<textarea name="prichina" cols="40" rows="8"></textarea>
				<br>
				<input class="submit" type="submit" name="add" value="Добавить элемент списка">
				<p><font color=green>Примечание:<br>Вы можете добавлять целым списком. Единственное условие - каждый элемент списка должет начинаться с новой строки</font></p>
		</table>
	</form>
	<? 
	} 


echo '</TD><TD valign=top>';

$r = mysql_query ("SELECT * FROM prichina ORDER BY num, prichina ASC") or die(mysql_error());
$nr = mysql_num_rows ($r);
if ($nr <1) echo "<p>Список пуст</p>";

if ($nr >0)
	{
	echo '<form action="'.$Action.'" method=post >';
	echo '<TABLE cellpadding="1" cellspacing="1" >';
	$i=0;
	while ($rr = mysql_fetch_assoc($r)) 
		{ 
		$i++;
		echo '<tr>';
		echo '<td width="30">';
		echo '<input type="checkbox" name=ch[] value="'.$rr['id_prichina'].'" ';
		if($_POST['ch'] && in_array($rr['id_prichina'],$_POST['ch'])) echo 'checked';
		echo ' >';
	
		echo '<td  width="30">';
		echo '<a href = "'.$Action.'?id_prichina='.$rr['id_prichina'].'&edit=1"><img hspace="2" src="../icon/edit.png" alt="Изменить название" border="0" ></a>';
	
		echo '<td  width="30">';
		if($i>1)
		echo ' <a title="Переместить на одну позицию вверх" href = "?id_pr='.$rr['id_prichina'].'&per=1"><img border=0 src="../icon/up.gif"></a>';
		
		echo '<td  width="30">';
		if($i<$nr)
		echo ' <a title="Переместить на одну позицию вниз" href = "?id_pr='.$rr['id_prichina'].'&per=2"><img border=0 src="../icon/down.gif"></a>';
		
		echo '<td>';
		echo $rr['prichina']; 
		}  
	echo '</TABLE>';
	echo '<br>
	<input type="submit" class="submit" name="paket_del" value="Отмеченные удалить">';
	echo '</form>';
	}
echo '</TD></TR></TABLE>';

include_once('bottom.php'); 
?>